Bug 551895 - RFE: Add patch to enable inotify support
RFE: Add patch to enable inotify support
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fail2ban (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-02 17:37 EST by Jonathan Underwood
Modified: 2011-04-25 16:55 EDT (History)
1 user (show)

See Also:
Fixed In Version: fail2ban-0.8.4-27.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-18 00:03:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add in pyinotify support (7.26 KB, patch)
2010-01-02 17:37 EST, Jonathan Underwood
no flags Details | Diff

  None (edit)
Description Jonathan Underwood 2010-01-02 17:37:20 EST
Created attachment 381327 [details]
Patch to add in pyinotify support

Description of problem:
Presently the gamin support included in fail2ban causes many headaches with selinux, as fail2ban is using gamserver in a way it's not really meant to be used. 

I've developed a patch which adds inotify support to fail2ban via the pyinotify package (python-inotify in fedora), which gives the same functionality as the gamin support but without the problems (I hope). I've submitted it upstream, but it'd be nice if we could add it to the rawhide package so it gets some exposure and testing in the meantime. Patch is attached. You'll also need to add a 

Requires: python-inotify

to the spec file.
Comment 1 Fedora Update System 2011-04-09 15:07:09 EDT
fail2ban-0.8.4-27.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fail2ban-0.8.4-27.fc14
Comment 2 Fedora Update System 2011-04-09 15:07:44 EDT
fail2ban-0.8.4-27.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fail2ban-0.8.4-27.fc13
Comment 3 Fedora Update System 2011-04-09 15:08:17 EDT
fail2ban-0.8.4-27.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fail2ban-0.8.4-27.fc15
Comment 4 Fedora Update System 2011-04-09 21:44:00 EDT
Package fail2ban-0.8.4-27.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fail2ban-0.8.4-27.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/fail2ban-0.8.4-27.fc15
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-04-18 00:02:41 EDT
fail2ban-0.8.4-27.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2011-04-25 16:50:25 EDT
fail2ban-0.8.4-27.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2011-04-25 16:55:08 EDT
fail2ban-0.8.4-27.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.